> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Extend a proposed AI plan's expiry (bearer token)



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/chat/plans/{plan_id}/refresh
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/chat/plans/{plan_id}/refresh:
    post:
      tags:
        - chat
      summary: Extend a proposed AI plan's expiry (bearer token)
      operationId: refresh_plan_endpoint_api_v1_chat_plans__plan_id__refresh_post
      parameters:
        - in: path
          name: plan_id
          required: true
          schema:
            format: uuid
            title: Plan Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  expires_at:
                    title: Expires At
                    type: string
                  plan_id:
                    format: uuid
                    title: Plan Id
                    type: string
                required:
                  - plan_id
                  - expires_at
                title: RefreshPlanResponse
                type: object
          description: The new expiry
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Bearer token missing (400) or invalid (401)
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Plan cannot be refreshed in its current state
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````